Docs
Get Mappings
GET /connections/{connectionId}/folder-mappings
GET
/connections/{connectionId}/folder-mappingsLists the folder-to-event rules for one of the caller's mailboxes, newest first. A mapped folder is the strongest signal for routing its mail to an event. The connection id comes from Connections_GetConnections.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| connectionId | uuid | Required |
Response
Type: GetFolderMappingResponse[]
GetFolderMappingResponse
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| connectionId | uuid | |
| providerFolderId | string| null | |
| folderName | string| null | |
| targetType | string| null | |
| targetId | uuid | |
| eventId | uuid| null | |
| eventName | string| null |